LoginCallbackImpl (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.security.authentication

## Class LoginCallbackImpl

- java.lang.Object
- - org.eclipse.jetty.security.authentication.LoginCallbackImpl

- All Implemented Interfaces:
    LoginCallback

      public class LoginCallbackImpl
      extends Object
      implements LoginCallback

  This is similar to the jaspi PasswordValidationCallback but includes user principal and group info as well.
  Version:
    $Rev: 4793 $ $Date: 2009-03-19 00:00:01 +0100 (Thu, 19 Mar 2009) $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoginCallbackImpl(Subject subject, String userName, Object credential)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearPassword()`
    `Object` | `getCredential()`
    `String[]` | `getRoles()`
    `Subject` | `getSubject()`
    `String` | `getUserName()`
    `Principal` | `getUserPrincipal()`
    `boolean` | `isSuccess()`
    `void` | `setRoles(String[] groups)`
    `void` | `setSuccess(boolean success)`
    `void` | `setUserPrincipal(Principal userPrincipal)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoginCallbackImpl

          public LoginCallbackImpl(Subject subject,
                           String userName,
                           Object credential)

  - ### Method Detail

    - #### getSubject

          public Subject getSubject()

      Specified by:
        `getSubject` in interface `LoginCallback`

    - #### getUserName

          public String getUserName()

      Specified by:
        `getUserName` in interface `LoginCallback`

    - #### getCredential

          public Object getCredential()

      Specified by:
        `getCredential` in interface `LoginCallback`

    - #### isSuccess

          public boolean isSuccess()

      Specified by:
        `isSuccess` in interface `LoginCallback`

    - #### setSuccess

          public void setSuccess(boolean success)

      Specified by:
        `setSuccess` in interface `LoginCallback`

    - #### getUserPrincipal

          public Principal getUserPrincipal()

      Specified by:
        `getUserPrincipal` in interface `LoginCallback`

    - #### setUserPrincipal

          public void setUserPrincipal(Principal userPrincipal)

      Specified by:
        `setUserPrincipal` in interface `LoginCallback`

    - #### getRoles

          public String[] getRoles()

      Specified by:
        `getRoles` in interface `LoginCallback`

    - #### setRoles

          public void setRoles(String[] groups)

      Specified by:
        `setRoles` in interface `LoginCallback`

    - #### clearPassword

          public void clearPassword()

      Specified by:
        `clearPassword` in interface `LoginCallback`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.